# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_ActorEventCallback Struct Reference

VLX wrapper of vl::DepthSortCallback. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_ActorEventCallback:

List of all members.

## Public Member Functions

void | importActorEventCallback (VLXSerializer &s, const VLXStructure *vlx, ActorEventCallback *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportActorEventCallback (VLXSerializer &s, const ActorEventCallback *cb, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::DepthSortCallback.

Definition at line 3202 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_ActorEventCallback::importActorEventCallback | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | ActorEventCallback * | obj
| ) |  | `[inline]`

Definition at line 3204 of file VLXWrappers.hpp.

References vl::VLXValue::getIdentifier(), vl::VLXStructure::getValue(), vl::VLXValue::Identifier, vl::VLXValue::lineNumber(), vl::VLXSerializer::signalImportError(), vl::SM_SortBackToFront, vl::SM_SortFrontToBack, vl::VLXValue::type(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_ActorEventCallback::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 3224 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importActorEventCallback(), vl::VLXTaggedValue::lineNumber(), NULL, vl::VLXSerializer::registerImportedStructure(), vl::VLXSerializer::signalImportError(), and vl::VLXTaggedValue::tag().

void vl::VLXClassWrapper_ActorEventCallback::exportActorEventCallback | ( | VLXSerializer & | s,
|  | const ActorEventCallback * | cb,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 3242 of file VLXWrappers.hpp.

References vl::Object::as(), vl::VLXSerializer::signalExportError(), vl::SM_SortBackToFront, vl::DepthSortCallback::sortMode(), and vl::vlx_Identifier().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_ActorEventCallback::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 3259 of file VLXWrappers.hpp.

References vl::Object::as(), exportActorEventCallback(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:58.
Permission is granted to use this page to write and publish articles regarding Visualization Library.